Create new channel connection settings for a specific app.
curl --request POST \
--url https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings/channel-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isReady": true,
"url": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings/channel-connection"
payload = {
"isReady": True,
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isReady: true, url: '<string>'})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings/channel-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"isReady": true,
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Channel Connection Settings
Configure channel connection settings
Establish new channel connection settings for the specified app.
POST
/
crm
/
extensions
/
calling
/
2026-03
/
{appId}
/
settings
/
channel-connection
Create new channel connection settings for a specific app.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the app for which new channel connection settings are to be created.
Body
application/json
Response
successful operation
The date and time when the channel connection settings were created.
Indicates whether the channel connection settings are ready for use.
The date and time when the channel connection settings were last updated.
The URL associated with the channel connection settings.
Last modified on March 31, 2026
Was this page helpful?
⌘I